# -*- coding: utf-8 -*-
### BEGIN LICENSE
# Copyright (C) 2010 Rick Spencer <rick.spencer@canonical.com>
#This program is free software: you can redistribute it and/or modify it 
#under the terms of the GNU General Public License version 3, as published 
#by the Free Software Foundation.
#
#This program is distributed in the hope that it will be useful, but 
#WITHOUT ANY WARRANTY; without even the implied warranties of 
#MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
#PURPOSE.  See the GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License along 
#with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

# THIS IS crashteroids CONFIGURATION FILE
# YOU CAN PUT THERE SOME GLOBAL VALUE
# Do not touch until you know what you're doing.
# you're warned :)

# where your project will head for your data (for instance, images and ui files)
# by default, this is ../data, relative your trunk layout
__crashteroids_data_directory__ = '../data/'


import os

class project_path_not_found(Exception):
    pass

def getdatapath():
    """Retrieve crashteroids data path

    This path is by default <crashteroids_lib_path>/../data/ in trunk
    and /usr/share/crashteroids in an installed version but this path
    is specified at installation time.
    """

    # get pathname absolute or relative
    if __crashteroids_data_directory__.startswith('/'):
        pathname = __crashteroids_data_directory__
    else:
        pathname = os.path.dirname(__file__) + '/' + __crashteroids_data_directory__

    abs_data_path = os.path.abspath(pathname)
    if os.path.exists(abs_data_path):
        return abs_data_path
    else:
        raise project_path_not_found


image_path = os.path.join(getdatapath(), "media/")
sound_path = os.path.join(getdatapath(), "media/")

game_over = True
game_vars={"pu_kind":None, "start_rx":0,"pu_freq":225,"pu_max":3,"en_max":1,"en_freq":350,"enemy_kind":None,"start_lvl":0,"max_rx":8}

#####images
background_image = image_path + "background.png"
game_over_background = image_path + "game_over.png"

#player
guy_img = image_path + "guy.png"
guy_bullet = image_path + "bullet.png"
guy_bullet_big = image_path + "bigbullet.png"
guy_explode_stage = image_path + "ship_explode.png"
guy_bullet_explode_stage = image_path + "bullet_explode.png"

#rocks
large_rock = image_path + "lrg_rock_"
medium_rock = image_path + "med_rock_"
small_rock = image_path + "sml_rock_"

#enemies
turret_img = image_path + "evil.png"
evil_twin_img = image_path + "evil.png"
evil_bullet_img = image_path + "evil_bullet.png"
big_missle_img = image_path + "homing_bullet.png"
small_missle_img = image_path + "small_homing_bullet.png"
enemy_explode_stage = image_path + "ship_explode_"


#power ups
max_bullets_img = image_path +  "maxbullets.png"
big_bullets_img = image_path +  "bigbullet.png"
free_guy_img = image_path + "guy.png"
multi_img = image_path + "multiplier_"



#####sounds
#player
guy_eng = sound_path + "engine_hum.wav"
guy_explode = sound_path + "explosion.wav"
free_guy_sound = sound_path + "beep_1.wav"
guy_shoot_sound = sound_path + "blam.wav"
guy_bullet_explode = sound_path + "explosion.wav"

#power ups
get_max_bullets_sound = sound_path + "beep_1.wav"
get_big_bullets_sound = sound_path + "beep_1.wav"
get_multiplier_sound =  sound_path + "beep_1.wav"

#enemies
enemy_explode_sound = sound_path + "explosion.wav"
