import pygame, random
from rock import Rock
import math
import crashteroidsconfig

class HomingRock(Rock):
 def __init__(self, target, img):
  Rock.__init__(self, img)
  self.target = target
  self.rotatingLeft = False
  self.rotatingRight = False
  self.accelerating = True
  self.targetted = False
  self.explodestage = 0
  self.exploding = False
  self.alive = True
  self.explosionSound = pygame.mixer.Sound(config.enemy_explode_sound)
  self.explosionSound.set_volume(.2)
  self.points = 200

 def update(self):
  Rock.update(self)
  if self.exploding: 
   #do an explosion image for each tick
   self.explodestage += 1
   e = self.explodestage
   if e < 8:#there are 7 explosion images
    e = str(e)
    self.masterImage = pygame.image.load(config.enemy_explode_stage + e  + ".png")
    self.updateImage()
    return
   else:#explosion is done
    self.visible = False
    self.exploding = False
    self.kill()
    return

  self.targetted = False
  #calculate target angle
  targx = self.target.x - self.x
  targy = self.target.y - self.y
  target_angle = ((math.atan2(targy,targx)) * 180)/ math.pi
  if target_angle < 0:
   target_angle = 360 + target_angle
 
  #translate the orientation to the same system as the target angle
  fire_angle = 360 - self.orientation
  if fire_angle == 360:
   fire_angle = 0
  fire_angle += 270
  if fire_angle >= 360:
   fire_angle -= 360

  #rotate to face the target
  delta = fire_angle - target_angle
  if delta > 5:
   self.rotatingLeft = True
   self.rotatingRight = False
  elif delta < -5:
   self.rotatingLeft = False
   self.rotatingRight = True
  else:
   self.rotatingLeft = False
   self.rotatingRight = False
   self.targetted = True

 def explode(self):
  if self.alive:
   self.explosionSound.play()
   self.alive = False
   self.exploding = True
